<div class="bg-parecerista-interno">
  <div class="container">
    <div class="back" >
      <a routerLink="/home"><i class="fas fa-arrow-left"></i></a>
    </div>
    <div class="">
      <div class="card card-list-parec-int mb-3">
          <div class="card-header">
              <h5 class="fs-0 mb-0">Listagem de Pareceristas</h5>
          </div>
          <div class="card-body p-0">
              <table class="table parecerista-inter-list table-responsive-md">
                  <thead class="thead-blue">
                      <tr>
                          <th scope="col">Número Funcional</th>
                          <th scope="col">Nome</th>
                          <th scope="col">Titulação</th>
                          <th scope="col">Curso</th>
                          <th scope="col">Status</th>
                      </tr>
                  </thead>

                  <tbody *ngFor="let parecerista of lstPareceristaInterno; let i = index">
                      <tr>
                          <td>{{parecerista.NumeroFuncional}}</td>
                          <td>{{parecerista.Nome}}</td>
                          <td>{{ verificarTitulacao(parecerista.Titulacao) }}</td>
                          <td>{{parecerista.Curso}}</td>
                          <td>
                              <div class="custom-control custom-switch">
                                  <input [formControl]="checkStatus" type="checkbox"  class="custom-control-input" id="customSwitch{{ i }}" [checked]="parecerista.StatusParecerista" (click)="alteraStatus( parecerista )" >
                                  <label  style="cursor:pointer;" class="custom-control-label" for="customSwitch{{ i }}"></label>
                              </div>
                          </td>
                      </tr>
                  </tbody>

              </table>
          </div>
      </div>
      <div class="box-btn-add align-right">
          <button id="btn-add-pac-int" class="btn btn-link btn-sm" type="button" id="modal-editar" data-toggle="modal" data-target="#editar-orientador-modal">
              <i class="fas fa-plus"></i>Adicionar
          </button>
      </div>

      <!-- Modal editar orientador -->
      <div class="modal fade" id="editar-orientador-modal" tabindex="-1" role="dialog" aria-hidden="true">
          <div class="modal-dialog" role="document">
            <div class="modal-content">
              <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLongTitle">Adicionar Parecerista</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
                </button>
              </div>
              <div class="modal-body">
                  <div class="group-funcional">
                      <form [formGroup]="formCadastraParecerista" (ngSubmit)="cadastrarParecerista()">
                          <div class="mb-3 block">
                            <label for="funcional">Nº de funcional</label>
                            <div class="input-group">
                              <input id="pesquisa-pac-int" [formControl]="numFuncional" type="search" class="form-control" placeholder="pesquise o funcional" aria-label="editar-orientador">
                              <div class="input-group-append">
                                <button  class="btn btn-pesquisa" type="button" id="pesquisar-orientador" (click)="buscarOrientador()" >
                                  <i class="fas fa-search"></i>
                                </button>
                              </div>
                            </div>
                          </div>
                        
                        <div class="dados-funcional hidden">
                          <div class="card">
                            <!-- <div class="card-header">
                              <h5 class="fs-0 mb-0">Dados do Parecerista</h5>
                            </div> -->
                            <div *ngIf="!verificaNome" class="card-body">
                              <div class="card-text">
                                <p >Nome: <span id="name-pac-int">{{pareceristaInterno?.Nome}}</span></p>
                                <div *ngIf="!verificaCurso" class="group-info">
                                  <p>Curso: <span id="curso-pac-int">{{pareceristaInterno?.Curso}}</span></p>
                                  <p>Titulação: <span id="numero-funcional">{{pareceristaInterno?.Titulacao}}</span></p>
                                </div>
                              </div> 
                            </div>
                          </div>
                          <hr class="mb-4">
                          <button [disabled]="verficaCadastro" class="btn-link btn btn-primary btn-navigate btn-prev ng-star-inserted btn-lg btn-block" type="submit">Cadastrar</button>
                        </div>
                      </form>
                  </div>
              </div>
            </div>
          </div>
        </div>
    </div>
  </div>
</div>